public class Appartamento extends Immobile{
    private int piano;
    private int numero_terrazzi;
    private boolean ascensore;
    private String interno;

    public Appartamento(int numero_stanze, int superficie, String indirizzo, String citta, int piano, String interno, int numero_terrazzi, boolean ascensore) {
        super(numero_stanze, superficie, indirizzo, citta);
        this.piano = piano;
        this.interno=interno;
        this.numero_terrazzi = numero_terrazzi;
        this.ascensore = ascensore;
    }

    public boolean isAscensore() {
        return ascensore;
    }

    public void setAscensore(boolean ascensore) {
        this.ascensore = ascensore;
    }

    public String getInterno() {
        return interno;
    }

    public void setInterno(String interno) {
        this.interno = interno;
    }

    public int getNumero_terrazzi() {
        return numero_terrazzi;
    }

    public void setNumero_terrazzi(int numero_terrazzi) {
        this.numero_terrazzi = numero_terrazzi;
    }

    public int getPiano() {
        return piano;
    }

    public void setPiano(int piano) {
        this.piano = piano;
    }

    public String toString(){
        return super.toString()+" Piano: "+piano+ " Numero terrazzi:"+numero_terrazzi+ " Ascensore: "+((ascensore)?"Si":"No");
    }
    
    public boolean equals(Appartamento appartamento){
       return ((appartamento.getIndirizzo().equals(indirizzo))&&
                (appartamento.getCitta().equals(citta))&&
                (appartamento.getInterno().equals(interno)));
                
    }

}