
public class Autovettura extends Veicolo {
    static final double COSTO_ORARIO = 1.5;
    private int numeroPosti;

    public Autovettura(int numeroPosti, int annoImmatricolazione, String marca, String modello, String tipoAlimentazione, int cilindrata) {
        super(annoImmatricolazione, marca, modello, tipoAlimentazione, cilindrata);
        this.numeroPosti = numeroPosti;
    }

    public int getNumeroPosti() {
        return numeroPosti;
    }
    
    public Autovettura clone() {
        Autovettura tmp = new Autovettura(numeroPosti, annoImmatricolazione, marca, modello, tipoAlimentazione, cilindrata);
        return tmp;
    }
    
    double costoParcheggio(int ore, int minuti) {
        double costo = ore*COSTO_ORARIO;
        if (minuti != 0)
          costo += COSTO_ORARIO;
        return costo;
    }
}
