
public class Furgone extends Veicolo {
    static final double COSTO_ORARIO = 2;
    private float capacitaCarico;

    public Furgone(float capacitaCarico, int annoImmatricolazione, String marca, String modello, String tipoAlimentazione, int cilindrata) {
        super(annoImmatricolazione, marca, modello, tipoAlimentazione, cilindrata);
        this.capacitaCarico = capacitaCarico;
    }

    public float getCapacitaCarico() {
        return capacitaCarico;
    }
    
    public Furgone clone() {
        Furgone tmp = new Furgone(capacitaCarico, annoImmatricolazione, marca, modello, tipoAlimentazione, cilindrata);
        return tmp;
    }
    
    double costoParcheggio(int ore, int minuti) {
        double costo = ore*COSTO_ORARIO;
        if (minuti != 0)
          costo += COSTO_ORARIO;
        return costo;
    }
}
