public abstract class Immobile {
    protected int numero_stanze;
    protected int superficie;
    protected String indirizzo;
    protected String citta;

    public Immobile(int numero_stanze, int superficie, String indirizzo, String citta) {
        this.numero_stanze = numero_stanze;
        this.superficie = superficie;
        this.indirizzo = indirizzo;
        this.citta = citta;
    }

    public String getCitta() {
        return citta;
    }

    public String getIndirizzo() {
        return indirizzo;
    }

    public int getNumero_stanze() {
        return numero_stanze;
    }

    public int getSuperficie() {
        return superficie;
    }

    public void setCitta(String citta) {
        this.citta = citta;
    }

    public void setIndirizzo(String indirizzo) {
        this.indirizzo = indirizzo;
    }

    public void setNumero_stanze(int numero_stanze) {
        this.numero_stanze = numero_stanze;
    }

    public void setSuperficie(int superficie) {
        this.superficie = superficie;
    }
    
    public String toString(){
        return " Indirizzo: "+indirizzo+" Citt: "+citta+ " Numero Stanze: "+numero_stanze+" Superficie:"+superficie;
    }
    
    public Boolean equals(Immobile immobile){
        return ((immobile.getSuperficie()==superficie)&&
                (immobile.getNumero_stanze()==numero_stanze)&&
                (immobile.getIndirizzo().equals(indirizzo))&&
                (immobile.getCitta().equals(citta)));
    }
}