public class Punto {
   private   double x;
   private   double y;

   public Punto(double x, double y) { 
     setX (x);
     setY(y);
  }

  public Punto(Punto px) {
    x=px.getX();
    y=px.getY();
   }
  
  public Punto() {
    x=0.0;
    y=0.0;
   }

  public void setX (double x){ this.x=x; }
  public void setY (double y){ this.y=y; }
  public double getX(){ return x; }
  public double getY(){ return y; }

  public double distanza (Punto p) {
   double dx = x-p.getX();
   double dy = y-p.getY();
   return Math.sqrt((dx*dx)+(dy*dy));
  }
  public boolean equals (Punto p) {
   return ((x==p.x)&&(y==p.y));
  } 

  public String toString(){return "("+x+";"+y+")";}

  public static void main (String[] args) {
   Punto p1=new Punto(1.,1.);
   Punto p2=new Punto(2.,2.);
   Punto p3=new Punto(p1);
   System.out.println("p1 "+p1.toString());
   System.out.println("p2 "+p2.toString());
   System.out.println("p2 "+p2.toString());
   System.out.println("Distanza p1 p2: "+p1.distanza(p2));
   System.out.println("Distanza p1 p3: "+p1.distanza(p3));
   if(p1.equals(p3)) 
    System.out.println("I punti p1 e p3 coincidono");
  }
 }