
abstract public class Veicolo {
    protected int annoImmatricolazione;
    protected String marca;
    protected String modello;
    protected String tipoAlimentazione;
    protected int cilindrata;

    public Veicolo(int annoImmatricolazione, String marca, String modello, String tipoAlimentazione, int cilindrata) {
        this.annoImmatricolazione = annoImmatricolazione;
        this.marca = marca;
        this.modello = modello;
        this.tipoAlimentazione = tipoAlimentazione;
        this.cilindrata = cilindrata;
    }

    public int getAnnoImmatricolazione() {
        return annoImmatricolazione;
    }

    public int getCilindrata() {
        return cilindrata;
    }

    public String getMarca() {
        return marca;
    }

    public String getModello() {
        return modello;
    }

    public String getTipoAlimentazione() {
        return tipoAlimentazione;
    }
    
    public String toString() {
        return marca+" "+modello+" "+tipoAlimentazione+" "+cilindrata+" "+annoImmatricolazione;
    }
    
    abstract public Veicolo clone();
    abstract double costoParcheggio(int ore, int minuti);
}
