public abstract class Veicolo {
    private String targa;
    private String matricola;
    private String marca;
    private String modello;
    private int cilindrata;
    private int anno;
    protected int capacita_serbatoio;

    public Veicolo(String targa, String matricola, String marca, String modello, int cilindrata, int anno, int capacita_serbatoio) {
        this.targa = targa;
        this.matricola = matricola;
        this.marca = marca;
        this.modello = modello;
        this.cilindrata = cilindrata;
        this.anno = anno;
        this.capacita_serbatoio = capacita_serbatoio;
    }

    public int getAnno() {
        return anno;
    }

    public void setAnno(int anno) {
        this.anno = anno;
    }

    public int getCapacita_serbatoio() {
        return capacita_serbatoio;
    }

    public void setCapacita_serbatoio(int capacita_serbatoio) {
        this.capacita_serbatoio = capacita_serbatoio;
    }

    public int getCilindrata() {
        return cilindrata;
    }

    public void setCilindrata(int cilindrata) {
        this.cilindrata = cilindrata;
    }

    public String getMarca() {
        return marca;
    }

    public void setMarca(String marca) {
        this.marca = marca;
    }

    public String getMatricola() {
        return matricola;
    }

    public void setMatricola(String matricola) {
        this.matricola = matricola;
    }

    public String getModello() {
        return modello;
    }

    public void setModello(String modello) {
        this.modello = modello;
    }

    public String getTarga() {
        return targa;
    }

    public void setTarga(String targa) {
        this.targa = targa;
    }
    
    abstract double importoNoleggio(int giorni,int km, int litri_carburante);
    public String toString(){
        return "Targa: "+targa+" Matricola: "+matricola+" Marca: "+marca+" "+modello+" Cilindrata:"+cilindrata+"cc Anno: "+anno+" Capacit serbatoio: "+capacita_serbatoio+" l ";
    }
}