
public class VeicoloInGarage {
    private Veicolo veicolo;
    private int oraArrivo;
    private int minutiArrivo;
    
    public VeicoloInGarage(Veicolo veicolo, int oraArrivo, int minutiArrivo) {
        this.veicolo = veicolo.clone();
        this.oraArrivo = oraArrivo;
        this.minutiArrivo = minutiArrivo;
    }
    
    public VeicoloInGarage(VeicoloInGarage veicolo) {
        this.veicolo = veicolo.getVeicolo();
        this.oraArrivo = veicolo.getOraArrivo();
        this.minutiArrivo = veicolo.getMinutiArrivo();
    }

    public int getMinutiArrivo() {
        return minutiArrivo;
    }

    public int getOraArrivo() {
        return oraArrivo;
    }

    public Veicolo getVeicolo() {
        return veicolo.clone();
    }
}
