public class Furgone extends Veicolo{
    int capacita_carico;

    public Furgone(String targa, String matricola, String marca, String modello, int cilindrata, int anno, int capacita_serbatoio, int capacita_carico) {
        super(targa, matricola, marca, modello, cilindrata, anno, capacita_serbatoio);
        this.capacita_carico = capacita_carico;
    }

    public int getCapacita_carico() {
        return capacita_carico;
    }

    public void setCapacita_carico(int capacita_carico) {
        this.capacita_carico = capacita_carico;
    }
    
    public double importoNoleggio(int giorni,int km, int litri_carburante){
        int km_tassabili=(km-100)/30;
        if (km_tassabili<0) km_tassabili=0;
        return (double)(giorni*70+km_tassabili+(capacita_serbatoio-litri_carburante)*2);
    }
    
    public String toString(){
        return super.toString()+" Capacit di carico:"+capacita_carico+" mc";
    }
}