
public class Motocicletta extends Veicolo {
    static final double COSTO_ORARIO = 1;
    private int tempiMotore;

    public Motocicletta(int tempiMotore, int annoImmatricolazione, String marca, String modello, String tipoAlimentazione, int cilindrata) {
        super(annoImmatricolazione, marca, modello, tipoAlimentazione, cilindrata);
        this.tempiMotore = tempiMotore;
    }

    public int getTempiMotore() {
        return tempiMotore;
    }
    
    public Motocicletta clone() {
        Motocicletta tmp = new Motocicletta(tempiMotore, annoImmatricolazione, marca, modello, tipoAlimentazione, cilindrata);
        return tmp;
    }
    
    double costoParcheggio(int ore, int minuti) {
        double costo = ore*COSTO_ORARIO;
        if (minuti != 0)
          costo += COSTO_ORARIO;
        return costo;
    }
}
