public class Villa extends Immobile{
    private int numero_piani;
    private int superficie_giardino;
    private boolean piscina;

    public Villa(int numero_stanze, int superficie, String indirizzo, String citta, int numero_piani, int superficie_giardino, boolean piscina) {
        super(numero_stanze, superficie, indirizzo, citta);
        this.numero_piani = numero_piani;
        this.superficie_giardino = superficie_giardino;
        this.piscina = piscina;
    }

    public int getNumero_piani() {
        return numero_piani;
    }

    public void setNumero_piani(int numero_piani) {
        this.numero_piani = numero_piani;
    }

    public boolean isPiscina() {
        return piscina;
    }

    public void setPiscina(boolean piscina) {
        this.piscina = piscina;
    }

    public int getSuperficie_giardino() {
        return superficie_giardino;
    }

    public void setSuperficie_giardino(int superficie_giardino) {
        this.superficie_giardino = superficie_giardino;
    }
    
    public String toString(){
        return super.toString()+" Piani: "+numero_piani+ " Superficie giardino:"+superficie_giardino+ "mq Piscina: "+((piscina)?"Si":"No");
    }
    
    public boolean equals(Villa villa){
        return ((super.equals(villa))&&
                (villa.getNumero_piani()==numero_piani)&&
                (villa.isPiscina()==piscina)&&
                (villa.getSuperficie_giardino()==superficie_giardino));
    }

}